/*
 * pawsUpdaterWindow.h - Author: Ian Donderwinkel
 *
 * Copyright (C) 2004 Atomic Blue (info@planeshift.it, http://www.atomicblue.org)
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation (version 2 of the License)
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
//////////////////////////////////////////////////////////////////////
#ifndef PAWS_UPDATER_WINDOW
#define PAWS_UPDATER_WINDOW

#include "paws/pawswidget.h"

class pawsRadioButtonGroup;
class pawsCheckBox;
class pawsButton;
class pawsTextBox;
class pawsProgressBar;

class pawsUpdaterWindow : public pawsWidget
{
public:
    pawsUpdaterWindow();
    
    bool PostSetup();
    bool OnButtonPressed( int mouseButton, int keyModifier, pawsWidget* widget );

    void SetProgressValue(int value);
    void SetTotalProgressValue(int value);
    void SetTotalSize(float value);

    void UpdateFileSize(const char* name, float size);

    void SetExit(bool v);
    
    void SetUpdateButtonText(const char* text);

    void SetSpeed(double speed);

private:
    pawsButton*             btnUpdate;
    pawsButton*             btnExit;
    pawsButton*             btnCheck;
    pawsButton*             btnOptions;
    pawsButton*             btnLaunch;
    pawsProgressBar*        prgBar;
    pawsProgressBar*        prgTotal;
    pawsTextBox*            txtFile;
    pawsTextBox*            lblUpdate;
    pawsTextBox*            lblTotal;
    pawsTextBox*            lblSpeed;

    float prevSize;
    float maxSize;
};

CREATE_PAWS_FACTORY( pawsUpdaterWindow );

#endif
